:root {
    --el-border-radius-base: 2px !important;
}

body {
    margin: 0;
    padding: 0;
    line-height: 1.4;
}

#app {
    width: 100%;
}

.el-container {
    width: 100%;
    display: flex;
    min-height: 100vh;
    flex-direction: column;
}

.el-container .el-header {
    top: 0;
    padding: 0;
    height: 80px;
    z-index: 999;
    flex-shrink: 0;
    position: sticky;
    box-shadow: none;
    overflow: visible;
    background: transparent;
}
.el-container .el-header::before {
    inset: 0;
    z-index: -1;
    content: "";
    position: absolute;
    pointer-events: fill;
    backdrop-filter: blur(3px);
    box-shadow: var(--el-box-shadow);
    -webkit-backdrop-filter: blur(3px);
    background-color: rgba(255, 255, 255, 0.5);
}
.el-container .el-main {
    flex: 1;
    padding: 0;
    min-height: 0;
    overflow: visible;
}
.el-container .el-footer {
    padding: 0;
    height: auto;
    flex-shrink: 0;
    border-top: var(--el-border);
}

.content {
    width: 1320px;
    margin: 0 auto;
    padding: 16px 0;
    position: relative;
    box-sizing: border-box;
}

.el-container .el-main .content {
    gap: 36px;
    display: flex;
    padding: 32px 0;
}

.content .page-main {
    flex: 1;
}

.page-sidebar {
    gap: 24px;
    width: 320px;
    display: flex;
    flex-direction: column;
}

.page-sidebar .el-card {
    --el-card-padding: 12px;
}
.page-sidebar .el-card__header .el-text {
    font-weight: bold;
}
.page-sidebar .el-card__body {
    gap: 12px;
    display: flex;
    flex-direction: column;
}

.page-sidebar .el-card__body .sidebar-soup-item {
    gap: 12px;
    display: flex;
    align-items: center;
}

.page-sidebar .el-card__body .sidebar-soup-item .el-text {
    flex-shrink: 0;
    color: #9195a3;
}
.page-sidebar .el-card__body .sidebar-soup-item:nth-child(1) .el-text {
    color: #fe2d46;
}
.page-sidebar .el-card__body .sidebar-soup-item:nth-child(2) .el-text {
    color: #f60;
}
.page-sidebar .el-card__body .sidebar-soup-item:nth-child(3) .el-text {
    color: #faa90e;
}

.page-sidebar .el-card__body .sidebar-soup-item .link-container {
    flex: 1;
    min-width: 0;
    display: flex;
    align-items: center;
}

.page-sidebar .el-card__body .sidebar-soup-item .link-container .el-link {
    max-width: 100%;
    overflow: hidden;
}
.page-sidebar .el-card__body .sidebar-soup-item .el-tag {
    flex-shrink: 0;
}

.page-sidebar
    .el-card__body
    .sidebar-soup-item
    .link-container
    .el-link
    .el-link__inner {
    display: block;
    overflow: hidden;
    text-align: left;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.el-divider--vertical {
    height: 100% !important;
}

span:has(> span.el-tag) {
    display: contents;
}

.dot {
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: var(--el-color-danger);
}

.header {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.header .logo {
    height: 100%;
}
.header .logo a {
    gap: 12px;
    height: 100%;
    display: flex;
    align-items: center;
    text-decoration: none;
}
.header .logo img {
    height: 100%;
}
.header .logo .el-text {
    font-size: 16px;
}
.header nav {
    gap: 36px;
    display: flex;
}
.header nav .el-badge {
    display: flex;
    align-items: center;
}
.header .el-button {
    width: 36px;
    height: 36px;
    display: none;
    align-items: center;
    margin: 0 !important;
    padding: 0 !important;
    justify-content: center;
}

.footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.footer .logo {
    gap: 12px;
    height: 100%;
    display: flex;
    align-items: center;
}
.footer .logo a {
    display: flex;
}
.footer .logo a img {
    height: 96px;
}
.footer .logo .logo-text {
    gap: 12px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}
.footer .logo .logo-text .el-text {
    align-self: auto;
}
.footer .text {
    gap: 12px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}
.footer .text .statement {
    gap: 2px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}
.footer .text .statement .el-text {
    align-self: auto;
}
.footer .text .info {
    gap: 24px;
    display: flex;
}
.footer .text .info .links {
    display: flex;
}

.el-form {
    gap: 24px;
    display: flex;
    flex-direction: column;
}

.el-form .el-form-item {
    margin-bottom: 0;
    align-items: center;
}

.el-input,
.el-textarea {
    box-shadow: none !important;
    --el-input-height: 36px !important;
    --el-input-border-radius: 2px !important;
}

.el-input .el-input__wrapper,
.el-textarea .el-textarea__inner {
    box-shadow: none !important;
    background-color: var(--el-disabled-bg-color) !important;
}

.el-input .el-input__wrapper:hover,
.el-textarea .el-textarea__inner:hover {
    box-shadow: none !important;
}
.el-input .el-input-group__append {
    display: flex !important;
    box-shadow: none !important;
    padding: 0 12px 0 0 !important;
    align-items: center !important;
}

.el-input .el-input-group__append .el-button {
    margin: 0 !important;
    padding: 0 !important;
    flex: none !important;
    width: auto !important;
    height: 100% !important;
}

.el-input .el-input-group__append .el-button:not(.is-disabled):hover {
    color: var(--el-color-primary) !important;
}

.el-button {
    height: 36px !important;
    padding: 8px 16px !important;
    --el-border-radius-base: 2px !important;
}
.el-button.is-link {
    padding: 0 !important;
}

.tags {
    gap: 12px;
    display: flex;
}

/* 卡片通用 */
.card .el-card__header {
    row-gap: 6px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}

.card .el-card__header .card-title {
    font-size: 18px;
    font-weight: 600;
}
.card .el-card__header .tags {
    gap: 8px;
    height: 24px;
    display: flex;
    align-items: center;
}
.card .el-card__body p {
    --max-line-count: 8;
    --line-height: 24px;
    margin: 0;
    font-size: 16px;
    overflow-y: auto;
    white-space: pre-wrap;
    line-height: var(--line-height);
    max-height: calc(var(--max-line-count) * var(--line-height));
}

@media (max-width: 1400px) {
    .content {
        width: 1140px;
    }

    .page-sidebar {
        width: 300px;
    }
}

@media (max-width: 1200px) {
    .content {
        width: 960px;
    }
}

@media (max-width: 992px) {
    .content {
        width: 720px;
    }
    .page-main {
        width: 100%;
    }
    .page-sidebar {
        display: none;
    }

    .footer .logo {
        width: 30%;
    }
    .footer .text {
        width: 60%;
    }
    .footer .text .info {
        row-gap: 2px;
        flex-wrap: wrap;
    }
    .footer .text .info .links {
        width: 100%;
    }
}

@media (max-width: 768px) {
    .el-container .header-nav-show::before {
        height: 100vh;
    }
    .header nav {
        display: none;
    }
    .header .nav-show {
        left: 0;
        gap: 24px;
        top: 80px;
        width: 100%;
        display: flex;
        padding: 16px 0;
        position: absolute;
        flex-direction: column;
        align-items: flex-start;
    }
    .header .nav-show .el-badge {
        width: 90%;
    }
    .header .nav-show .el-badge .el-link {
        line-height: 20px;
    }
    .header .nav-show .el-badge .el-badge__content {
        left: 45px;
    }
    .header .el-button {
        display: flex;
    }
    .content {
        width: 90%;
    }

    .footer .logo {
        width: 32%;
        align-items: flex-start;
        flex-direction: column;
    }
    .footer .logo a img {
        height: 72px;
    }
    .footer .logo .logo-text {
        gap: 6px;
    }
    .footer .text {
        width: 64%;
    }

    :root {
        --el-font-size-base: 12px !important;
        --el-font-size-medium: 14px !important;
    }

    .el-card {
        --el-card-padding: 12px !important;
    }

    .card .tags .el-text {
        display: none;
    }
}

@media (max-width: 576px) {
    .el-table .cell {
        padding: 0 6px !important;
    }

    .footer .logo {
        display: none;
    }
    .footer .text {
        width: 100%;
    }
}
